Subject: Re: [PATCH v2 2/7] t1300: add test for --replace-all with value_regex

From: Emily Shaffer <[email-masked]>
Date: Mon, 23 Nov 2020 11:40:48 -0800

On Mon, Nov 23, 2020 at 04:05:02PM +0000, Derrick Stolee via GitGitGadget wrote:
> 
> 
> The --replace-all option was added in 4ddba79d (git-config-set: add more
> options) but was not tested along with the 'value_regex' parameter.
> Since we will be updating this option to optionally treat 'value_regex'
> as a fixed string, let's add a test here that documents the current
> behavior.

I like the commit message and the diff a lot. Concise and complete,
explains when the problem came from. I don't think it even needs the
rationale about adding more options later - there's missing test
coverage and you're adding it. But it's useful to reviewers and a handy
step on the journey of this topic.

> 
> Signed-off-by: Derrick Stolee <[email-masked]>
Reviewed-by: Emily Shaffer <[email-masked]>